moonlight changelog
This shows changes that are noted between release versions as well.
Released versions are marked with a * after the name.

Any line made up of equals signs (=) denotes a break between released versions.
All of the changes between the equal sign lines constitute the updates leading
up to that release.
________________________________________________________________________________

Official v1.03 Patch* (v1.03, pulse i6003-official / 20150220 23:13)
There was an unofficial moonlight v1.03 (pulse "neo-geo", date 20150210 12:18)
patch released by Kyzentun, and this is meant to be the official version of that.

This update is sponsored by 金色的团队 (Golden Team), purveyors of fine bootleg
game ports to the Famicom.

[General]
* New target is StepMania 5.0.6.

[Fixes]
* Removed now-unused Scoring Mode user pref from Advanced Options.
* Swapped Fail Type game preference for the in-game one, now that it works again.
* Something about summary banners and extra stages.
  Stop playing with Event Mode turned off.

================================================================================

Patch 1.02* (v1.02, pulse i6002 / 20141227 01:25)
stop bothering me I just want to develop neo geo software

[Fixes]
* Removed old custom scoring thing that hasn't been supported since forever.
* Threw in some placeholder string for some edit mode menu help text

================================================================================

Patch 1.01* (v1.01, pulse i6001 / 20141006 16:16)

[General]
* New target is StepMania 5 beta 4.

[Fixes]
* ScreenSelectMusic's CDTitle proxy wasn't working due to an internal change to
  the CDTitle object... or something else happened, who knows. It's been over
  two years since I've touched this theme.
* Fixed super embarassing error with ScreenOptionsFilterP1/P2 Icon.

================================================================================

Final* (v1.0, pulse i6000 / 20120711 20:32)
I believe this was the same as RC3...

Release Candidate 3 (v0.999, pulse i5999 / 20120626 11:55)
[Fixes]
* Added missing music to various screens.
* Removed music from some screens that don't need it.
* Updated some more graphics to doubleres.
* Fixed implementation issue with Arrow Position user preference.
* Hold Judgments now respect/respond to Arrow Position user preference.

================================================================================

Release Candidate 2* (v0.995, pulse i5055 / 20120620 16:02)
[New]
* Added Arrow Position preference for ITG players who like having the arrows
  down a bit more.

[Fixes]
* Fixed error in Doubles mode where both P1 and P2's PaneDisplay were visible.
* Made RadarBars background darker so things stand out better.
* More edits to the Japanese language file.
* Various small changes.

================================================================================

Release Candidate 1* (v0.99, pulse i5050 / 20120504 21:32)
[New]
* Added the number of columns a chart will have if AutoSetStyle is enabled.

[Fixes]
* Fixed Title Menu text in Japanese mode; I didn't intend for the Japanese names
  to show up twice. That just looks silly.
* Fixed a logic error in the handling of "group"/"groups" text.
+ Added missing explanation text for solo in Japanese.
+ Added Recent translation in Japanese.
* Transplanted the SM5 Japanese translation into the Options menu.
+ Added AutoSetStyle as an option (in Advanced Options) instead of using a
  hardcoded table of values.
* Slightly updated Caution body text.
* Fixed a few screens not having music.
 * ScreenOptionsService, ScreenSelectNumPlayers, ScreenProfileSave.
* Allowed a few more strings on the title menu to be localized.
* Set a max width on the player difficulty text (ScreenSelectMusic).

================================================================================

pre-Release Candidate 1* (v0.985, pulse i5002 / 20120301 18:24)
[General]
* Started fixing up ScreenEvaluationSummary.

[New]
+ Added wheel underlay to online rooms (including ScreenNetSelectMusic).
+ Added missing HelpText on ScreenNetSelectMusic.
+ Added stage number to normal evaluation.
+ Added banner frame to summary evaluation.
+ Added arrows to Select Music Info Display setting screen.
+ Added per-player SegmentDisplay (removed old song SegmentDisplay).
+ Replaced "Caution!" header text with a graphic.
+ Fixed ScreenSelectNumPlayers so that AutoSetStyle will work if enabled.
+ Added missing fallback banner to the sort menu.
+ Added underlay, in and out for ScreenPrompt.
+ Added Small Combo preference.
+ Added Solo to Select Style screen, even though it exposes an error in SM.

[Fixes]
* Fixed awkward positioning of Difficulty on ScreenNetSelectMusic.
* Fixed background looking odd on ScreenStageInformation.
* Re-enabled the Game Over screen.
* Made a new version of my favorite graphic in the theme. Still looks good.
* Tweaked ScreenTextEntry slightly.
* Unlooped evaluation music.
* Changed version text to just say "StepMania" instead of "StepMania 5",
  since "StepMania 5 v5.0" is dumb.
* Fixed text stroke on ScreenReloadSongs.
- Removed DVNO hack on MusicWheel since it's hardcoded into the program now.
* Added a forced timer to the Game Over screen so you don't have to push
  start/back (if you're lazy or it's set up in a public place).
* Fixed inaccurate Arcade Options explanation text.
* Lots of new stuff in the Japanese translation.
* Re-added the footer on a number of screens and made it properly animate off.
* Changed date format on title menu to YYYY/MM/DD, as opposed to MM/DD/YY.
* Fixed HelpText speed.
- Removed the black rectangle on ScreenSelectMusic from 20090912 2208, since
  SegmentDisplay makes it redundant.
* Changed 2/3 stages graphics on the MusicWheel Song items.
* If a song's main title and subtitle combined are short enough, the TextBanner
  will fit them onto a single line.
* Made the text of the currently active item on ScreenOptionsSSMusicInfo orange.
* Changed endless course item color.
* Fixed the Omega character (Ω) getting cut off.
* Fixed difficulty names not being themed properly.
- Removed the sort menu from Select Course for now.
* Stopped the Max Combo number from glowing on Evaluation if you failed.
* Pushed out the credits text from the sides.
* Changed songs/groups/courses data display slightly.
* Changed position of theme version information on title screen.
* Restored CanGoLeft/Right icons and made a new graphic.
* Changed Progress bar background to a doubleres graphic.
* Widened input box on ScreenTextEntry.
- Removed Records Text from evaluation if you failed and got less than 0.01%.
- Removed Full Combo splash on gameplay and glowing Max Combo on eval if using
  the little modifier.
* Fixed inaccurate CustomSpeedMods explanation text. (The /Data/ folder is not
  used for SpeedMods.txt now.)
* Themed Holds/Max Combo text on evaluation.

================================================================================

Public Beta 4* (v0.98, pulse i5001 / 20110901 01:45)
[General]
! Target version is now StepMania 5 Preview 3.

[New]
+ Added SegmentDisplay from the default theme.
+ Last Played Sort (aka Recent)

[Fixes]
* stupid custom scoring lua block thing
* Attempted fix of errors during background loading in Filter/Cover menus.
* Fixed Select Music Info Display not remembering the currently selected option.
* Pushed up MiniMenuContext in the Profile Management screen.
- Removed "beyond broken" course editor from Edit/Share menu (like in default).
+ Added missing UI Options screen.
* Fixed BPMDisplay not showing up on Gameplay for two players.
* Moved up player text, hopefully won't collide with BPMDisplay on Gameplay.
* Fixed up transition into ScreenProfileSave.
* Changed options page appearance.
* Changed some of the sort names
* Changed Sort WheelItem appearance to match the Sections, with coloring.

================================================================================

Public Beta 3* (v0.975, pulse i5000 / 20110716 12:46)
[General]
! Changed target StepMania version to StepMania 5, now that a preview version
  is available and sm-ssc is no longer being updated.
* Lots of internal cleanup.
* random unknown changes

[Fixes]
* Screen filter now works better in widescreen. [sillybear]
+ Reinstated line highlight on the options.
* Sped up transitions on ScreenTextEntry.
- Removed lengthy version time from title menu, only shows date now.
* Fixed toasty preference not being read correctly.
* Darkened NoteField bars for edit mode.
* Fixed up the context menu in Manage Profiles.
* Slightly redid toasty select screen, got it to stop performing terribly.
+ Added header text to ScreenNetRoom.
- Removed redundant meter on ScreenNetSelectMusic.
* Made life meter fill up all the way for P1 and P2.
* Changed pad icon on ScreenSelectStyle.
* Slightly tweaked text layout on ScreenSelectStyle choices.
* Shrunk join text on SelectStyle somewhat.
+ Changed TextEntry answer font to a monospaced font.
* Fixed Desc->Description in [RoomWheelItem] metrics.
* Fixed RoomWheel not showing proper items.
* Changed spacing of some options explanations, fixed wrapwidthpixels too.
* Fixed player indicators on ScreenOptionsManageProfiles in widescreen modes.
- Removed unintentional underlines on ScreenOptionsManageProfiles.
* Fixed ScreenGameplay in and ScreenJukebox in transitions.
- Dummied out SlideRight, FlipIn, and NCEvo background transitions in
  BGAnimations/ScreenStageInformation overlay/default.lua. Uncomment them if
  you liked any of them.
* Tweaked MusicWheel and ScrollBar position.
+ Added Arcade Options to the operator/main options menu.
+ Added Extra Stage text to ScreenEvaluation.
* Moved user position on ScreenNetSelectMusic.
* Fixed difficulty/score position on ScreenNetSelectMusic.
* Hide ready and go graphics when playing online since steps start immediately.
* Fixed up judge numbers on ScreenNetEvaluation.
+ Added a few elements to ScreenNetEvaluation:
 * Results background frame, judge labels, song title/artist, StepsType,
   score (which seems to be broken...)

================================================================================

Public Beta 2* (pulse i4005 / 20110316 0128) "sm-ssc v1.2.3 update" edition
* Fixed errors regarding GetPlayerOptions -> GetPlayerOptionsString.
* Updated section items to use params.Text instead of params.SongGroup.
* Added unique HelpText to ScreenSelectCourse.
* Fixed awkward "01 stages" on ScreenEvaluation in course mode.
* Fixed song options and backing out text on Gameplay.
* Changed options text focus command to be a bit more obvious.
* Fixed some text in Edit Mode
* Fixed hold judgments not working
* Fixed up text on ScreenMapControllers

(pulse i4004 / 20101225 2203)
* Fixed screen pathways based on AutoSetStyle; if it's on, you won't go to
  ScreenSelectStyle. (you'll have to hit both player's Start buttons on the
  title menu to get both players joined... not sure if this will change.)
* Made Single's pad on ScreenSelectStyle react to who joined first.

(pulse i4003 / 20101225 2001)
* Changed Test Input's header to be white.
* Fixed up Theme Color and SelMusic Information customization screens.
* Added sort MusicWheelItem (same as the others, really).
* Modified ScreenJukebox in to be more pleasing.
* Made combo label pulse along with the number and judgment.
* Fixed a branch crash after ScreenProfileSave.
* Fixed errant strokecolor on ScreenEditMenu.
* Removed item underlines on ScreenOptionsManageCourses.
* Moved P1 and P2 items on ScreenOptionsManageProfiles to before the names.

(pulse i4002 / 20101001 1613)
* Modify first row on ScreenEditMenu to be more natural.
* Reverted some code to fix hot layer not moving.

(pulse i4001 / 20100808 1317)
* Started to rely on _portKit-sm4 less, as it is now deprecated.
* Fixed Toasty text issue on 16:9 aspect ratio.
* Fixed ScreenMiniMenu and derivatives from displaying oddly.
* Fixed a bug in the hot layer of the lifebar; it now works with freezes again.

================================================================================

Public Beta 1* (pulse i4000 / 20100801 0000)
* Changed target StepMania version to sm-ssc, since "StepMania 4" has been
  reverted back to an XML-based build, with "StepMania 4 alpha 5" being a part
  of the "StepMania 5" series.
* Fix an error in course mode evaluation.
* Add music to various options screens that didn't have it.
* Fixed Cover Adjustment screen to show arrows with the sm-ssc noteskins.
* Various transitions updated/changed. (ScreenGameplay, ScreenJukebox)
* Added a preference that determines how the combo is colored (by player or
  current best combo threshold).
* Fix a small bug where the Full Combo display wasn't working.
* Fixed the explanation text in options menus.

(pulse i3015 / 20100721 1541)
* Adjust FullCombo logic for StepMania 4 alpha 6 (if it ever comes out).
* Added missing portal stuff for sm-ssc.

(pulse i3014 / 20100526 2112)
* Changed ScreenSelectMusic to not have such an awkward transition out.
* Courses are now colored based on type:
 * Nonstop	| Goldish
 * Oni		| Purple/Blue
 * Survival	| Red
* some other things.

(pulse i3013 / 20100519 0112)
* Fixed an issue with course edit trying to go to ScreenJoinMultiplayer upon
  selecting "Play".
* Made the BPMDisplay move out of the way if Center 1P is enabled.
* Tweaked screen order so that profiles are loaded after ScreenSelectStyle.
* Some header-related issues:
  * Added header to Jukebox menu.
  * Course select now has "Select Course" instead of "Select Music".

(pulse i3012 / 20100429 1606)
* Change width of MusicWheel backing.
* Slightly tweaked _fade out normal.
* Fixed OptionRow item title positioning on 16:9.
* perhaps some other things?

================================================================================

Public Alpha 7* (pulse i3011 / 20100314 0100)
* Added some sm-ssc-only font tweaks on eval glowing text.
* Modified FullCombo behavior to work correctly on sm-ssc and
  StepMania 4 alpha 6.

(pulse i3010 / 20100221 2204)
* Added a code to show user preferences on title menu (just press select).
* Fix a bug where Song/Course Title Display and Player Options Display would
  always display as On even if they were turned off.
* Fixed bug where Cover was applying Blind instead.

(pulse i3009 / 20100215 2118)
* ScreenTextEntry is themed.
* Changed some HelpTexts around.
* Re-add Edit Courses, even though it still crashes. Started to theme it.
* Added preference to disable tilting of judgments.

(pulse i3008 / 20100116 2248)
* [ScreenSelectMusic] Fixed Song Options text during Extra Stage.

(pulse i3007 / 20100106 1325)
* Moved position of flashing Marvelous count over so it doesn't get obscured by
  the normal Marvelous count.

(pulse i3006 / 20091231 0948)
* Made it so failing in non-course modes will also trigger the life meter cover.
* Replaced Glenn Maynard warning bob with super flashing quad of doom.
  (Sorry to those with epilepsy. You can disable the danger display in options.)

================================================================================

Public Alpha 6* (pulse i3005 / 20091228 1126)
* Fixed error in UserPrefs script since ClearError() wasn't implemented in SM4
  for some odd reason. Oh well. Hope it turns out okay.
* Change version display on title menu.

(pulse i3004 / 20091228 1116)
* Added a new background animation (SlideUp) on ScreenStage.
* Changed UserPrefs script to use GetError now that SM4 alpha 5 is out.
* Added something to initialize user prefs.

(pulse i3003 / 20091225 2302)
Decided to start working on moonlight again.
* [ScreenTitleMenu] Fixed version string to use ProductID instead of static
  "StepMania" string. (Hi sm-ssc beta testers)
* Fixed judgments triggering on hold note completion.
* Added flashing Marvelous count to ScreenEvaluation... I'll probably move it
  elsewhere later on.

[accidental commit] (20091205 0039)
* Added Judgment set UserPref.

(pulse i3002 / 20091119 ????)
* Added early/late offset judgments (with ticks, like ITG2) as a theme option.
* Cleaned up some parts of the lifebar intro animation.

(pulse i3001 / 20091119 1217)
* Rewrote moonlight PaneDisplay to not use duplicated strings.
* Changed edit menu help text to display more of it (and in the case of F1,
most, but not all of it. StepMania :argh:)
* Fixed a bug in ScreenStage where the background wouldn't show up. That'll
happen if you try and mix Init and On commands from different areas. Now
ScreenStage should work as intended.

(pulse i3000 / 20091011 0032)
* Pulse number bumped to i3000 to celebrate r1000 of the SSC SVN.
* Fixed a bug that resulted in the Dance Points meter spilling over on high
  dance point percentages. Thanks to kdaymea for finding this bug! :)
* Removed unneeded Score Display option line.
* Updated ScreenVersionMismatch text.

[private release] (20090919 2115)
* Started converting menu transitions into fades to white, for most screens.
* Re-instated absence bar. Changes for Oni mode support caused it to be hidden.

(20090918 1228)
* Cleaned up some code internally. Nothing any average user would care about.
* Fixed a bug that's not mine. Too bad I didn't make it format your computer
  instead. If StepMania 4 alpha 5 had come out by now, we wouldn't have this
  problem, but we do, so I have to clean up after other people since the latest
  released version has a bug.

  p.s. PLAY ON EVENT MODE INSTEAD.
  THAT MAKES IT A NON-ISSUE IN EVERY THEME, AND YOU'LL PROBABLY LIKE
  IT BETTER ANYWAYS.

(20090912 2208)
* Added an indicator that shows if the song has stops. It's a black rectangle
  that appears next to the BPM.

(20090910 2132)
* Fixed Game Over screen going to the attract mode, hopefully.

================================================================================

public alpha V a* (no pulse information)
I didn't want to have to make a completely new version just to fix a semicolon,
but I guess I have to, because I know people won't read a post saying how to fix
it. Just look at the Game Over memory card crash in the default theme.

* (ScreenSelectMusic) fix sidahfohfddasfjdsfadsfadf;
* (ScreenSelectMusic) remove ddaihjfdpaodffbff

at least I made some other changes...

* (ScreenGameplay) Hopefully fix the difficulty display so that it always shows.
* Actually hooked up the Game Over screen from pulse i2247.
* Did something I shouldn't have, namely put in redirs for graphics that should
  be redir'd in the default theme.

================================================================================

public alpha V* (pulse i2260 / 20090901 0320)
* (ScreenStage) Transition is now randomized. Currently there are three
  transitions, but more may be added.
* (ScreenSelectMusic) Warn the player to restart StepMania if it may crash due
  to invalid current steps. This typically happens when one changes
  the gametype. Until this bug is fixed, the warning will remain.
  If it appears multiple times and the game seems to work, ignore it.
* (ScreenEvaluationCourse) Moved stages survived display again.
* (ScreenSelectCourse) Fixed a crash related to the player score.
* (ScreenSelectMusic) Rewrote/simplified the PlayerScore(pn) function.

(pulse i2259 / 20090830 0321)
* (ScreenEvaluation) Fix strings that were changed in a5test.
* (ScreenGameplay) Remove course song markers from the Dance Points display
  in Endless mode.
* (ScreenGameplay) Lifebar area touchups.
* (ScreenGameplay) BPMDisplay plays nice with song options now. In addition,
  song options have a frame behind them now.

Alpha 5 test version (pulse i2258 / 20090830 0000)
* (ScreenPlayerOptions) [SM4 alpha 5] stopped crash with CustomDifficulty
  on Pump mode for the time being. Sorry that it doesn't say Crazy yet.
* (ScreenGameplay) Fixed oversized OK/NG graphics (forgot to mark as doubleres).
* (ScreenGameplay) I don't remember when I fixed this, but the Failed animation
  doesn't go by really fast anymore.
* (ScreenEvaluation) Expanded size of song/course title box, spread the info
  out over two lines.
* (ScreenEvaluation) Fixed and customized disqualified display.

(pulse i2257 / 20090827 1223)
* (ScreenGameplay) Seemed to have fixed the difficulty meter BG in course mode?
* (ScreenGameplay) Fixed bug where userprefs weren't being honored.
* (various) Fix up lifebar to somewhat work in Oni, re-enabled the mode.

(pulse i2256 / 20090818 0228)
* (ScreenGameplay) Added a second set of judgments. These resemble the ones
  from In The Groove 2, since they include the ticks on either side of
  non-Marvelous/Miss judgments. As of this pulse, they are not enabled within
  the theme yet.
* (ScreenGameplay) Replaced low resolution hold judgments with higher
  resolution ones for now. If this becomes a problem for anyone's machine,
  let me know.

(pulse i2255 / 20090815 0405)
After being freed from the clutches of other work,
some work on moonlight was done.

* (UserPreferences2) Removed a check which attempted to show errors correctly,
  assuming the right version of SM4 was used [a version that has
  RageFile:GetError()]. However, this did not seem to work everywhere, causing
  problems for many people.
  
  Long story short, please release StepMania 4 Alpha 5, Chris Danford. :)
* (ScreenSelectMusic) Another silly song-related thing.
  (has not been duplicated on ScreenEvaluation yet, don't file as a bug lol)
* (ScreenSelectMusic) One of the PaneDisplay changes from the SVN port of
  Cerulean Skies 2: Values that are 0 become partially transparent.
* (ScreenSelectMusic) Long and Marathon icons changed style; fixed the icon
  frame [wasn't showing up].

================================================================================
Public alpha IV a* (pulse i2254a / 20090809 1542)

Public alpha IV's original release was very sloppy, so I made this one instead.
It deals with a few issues, mainly one due to some rogue code slipping into
moonlight from elsewhere. From now on, no one else on KKI will be working on
moonlight aside from myself. Seems I can't trust some of the people I work with.

================================================================================
Public alpha IV (pulse i2254 / 20090808 1154)
* Added BPM display to ScreenGameplay, plus an option to turn it off.
* Cleanup of various files

(pulse i2253 / 20090807 1159)
* Added para and techno to the ComboThresholdTable with some temporary values.
  This adds a few more gametypes that boot up in moonlight without problems.
  If anyone knows what the real values should be for any gametype (non-dance
  or pump), let me know.

(pulse i2252 / 20090804 1326)
* (ScreenGameplay) Moved full combo display from underlay to overlay; It now
  draws over the screen cover.

(pulse i2251 / 20090731 1508)
* (ScreenSelectMusic) Finally got around to repositioning the moonIcons for the
  major aspect ratios (4:3, 5:4, 16:10, 16:9), so they are enabled once again!
  If you use one of the nonstandard aspect ratios that StepMania supports
  (3:4, 8:3, 1:1), it might not end well.

  Since they work well, I am not bringing back the option to use the
  default StepMania ModIcons like in dubaiOne. (It was necessary because the
  custom icons in that theme didn't work perfectly. moonIcons do, so there's
  no need to toggle them.)

* (ScreenOptionsEdit) Removed non-working options for the time being.
* (ScreenGameplay) Fixed always-visible difficulty Quad for non-joined players.
  [does not apply in Demonstration/Jukebox]
* (various) Fixed handling of various user preferences in relation to writing
  fallbacks. You will still see a generic error message until
  StepMania 4 Alpha 5 is released. (See alpha-readme.txt for more information.)
* (ScreenGameplay,ScreenGameplayDisplayOptions) Add preference to enable/disable
  the Dance Points meter inset into the lifebar, just in case some people don't
  like it or need it. Ever since the theme's inception it's been enabled at
  start and will stay that way.
* (ScreenOptionsCoverP#) Fixed input on Pump mode.
* (ScreenGameplay) Fixed cover drawing over various elements.
* (ScreenGameplay) I think I fixed Cover on Reverse...
  Try it out and let me know!

(pulse i2250 / 20090728 0531, 20090731 1150)
* (ScreenSelectMusic) Implemented old idea for Looking Glass roulette item.
* (ScreenSelectCourse) Removed extra graphic on wheel item. Perhaps it will
  return as an indicator that the course uses mods?
* (ScreenEvaluationCourse) Reposition stages survived text, mod icons.
* (ScreenGameplay GAMESTATE:IsCourseMode()) When a player fails, the absence
  display will appear and the song number will turn red.
* (ScreenGameplay) Course mode song backgrounds in transitions don't distort
  anymore.
* (ScreenOptionsService) "Select Game" -> "Select Gametype" and
  "Theme Options" -> "Theme Customizations".

(pulse i2249 / 20090728 0127)
* (ScreenGameplay) Fixed embarassing bug where Screen Filter wouldn't diffuse
  correctly. The cover position is __totally__ a color. :rolleyes:
* (ScreenGameplay) Added notification on full combo of a song [text + filter].
  This will probably get covered up by a screen cover.
* (ScreenGameplay) When writing fallback, actually display song modifiers.
* (various) refactor internal theme code thanks to new pname() function
  in ProductivityHelpers.

(pulse i2248 / 20090726 1700)
* (ScreenGameplay) Extend music out transition in order to allow the song to
  play through the entire way, if possible. (This value was tested against
  Midiman's Urban Fragments simfile, which gave a value of 5 when properly
  configured. I hope this value works for all of your songs, but if not,
  let me know what songs sound awkward.)
* (ScreenSelectMusic) Change Gold/Silver/Bronze colors & color handling.
* (ScreenEdit) Fixed bug where side text/frame wouldn't disappear on edit.
  Turns out ScreenEdit doesn't update decorations and the default theme uses
  decorations for that screen by default. sigh.
* (ScreenEdit) Make screen darker when Editing/Recording for better visibility.
* (ScreenTitleMenu) Added SSC ball logo.

(pulse i2247 / 20090723 0519)
* (ScreenSelectMusic) Finally fixed the DVNO bug.
* (ScreenGameOver) Actually made this.
  (Created during the porting of Cerulean Skies 2, as it had a setup that would
  show ScreenGameOver quickly, so I got lazy and took advantage of it.)
* (ScreenGameplay) Finally changed fallback background to not use old dubaiOne
  artwork. How I missed this for so long, no one knows.
* (ScreenSelectStyle) Preliminary new artwork for pads. Will fix later.

================================================================================
Public alpha III* (pulse i2246 / 20090718 2325)

* (CustomSpeedMods) Updated to version 1.4; Now tries to pick 1x as default
  if your mods don't start at 1x.
* (ScreenToastyOptions) Current selected Toasty is now properly remembered.
* (ScreenToastyOptions) various cosmetic fixes.
* (ScreenSelectMusic) Added icons for Long and Marathon, in addition to changing
  the saturation on the colors.

  More will be done with this new system too (but not much more).
* (ScreenSelectMusic) Fixed bug where edit description/meter wouldn't show up.
* (ScreenEvaluation) If you fail a song, the banner will darken, and "Failed"
  will appear over your percent score.
* (ScreenGameplay) Write out fallbacks for Cover, Mod Display, Song Title,
  and Screen Filter when they don't already exist. This should cover all the
  errors that are recurring on Gameplay.
* More silent updates than you can shake a stick at.


(pulse i2245 / 20090711 0101)
* (ScreenSelectMusic) Added Autogen indicator.
* (ScreenSelectMusic) Temporarily removed moonIcons until I can get them
  placed perfectly.
* (ScreenTitleMenu) new fun joke day (7/11).

(pulse i2244 / 20090706 2006)
* (ScreenSelectPlayMode) Changed width of box to always match icon.
* (ScreenSelectPlayMode) New icons.
* (ScreenOptions) Tried to mess with explanation text some.
* (ScreenGameplay) Update absence graphic in lifebar.
* (ScreenSelectMusic) dubaiOne's custom icons return as moonIcons.
  Yes, they update when you use codes. I was so excited.
  Expect this to be released through KKI with some nice examples.
* (ScreenSelectMusic) Added a temporary background to the MusicWheel.
  Maybe now everyone can see the wheel highlight, though it shouldn't
  matter, what with the banner to the left...
* (ScreenSelectMusic) Changed the Edit icon again...
* and other things I don't feel like talking about.

(pulse i2243 / 20090628 0130)
* (ScreenNonstopEval) Fixed a bug that caused nothing to display.
  The comment mentioned something about people playing doubles courses, and
  if you knew how the course eval screen worked, the StepsType was placed
  in the same area as the number of stages survived was in course eval.

  Also I've moved the stages survived to account for this.
  You'll find it above the song title on course eval. Cheers.
* (ScreenToastyOptions) Added icons as well as an indicator of the current
  chosen toasty. (It will have a blue border around the icon.)

(pulse i2242 / 20090625 2055)
* (online) Fixed up flow between online screens.
  You no longer have to select Normal Mode when playing online.
* (general) Finalized common window icon.
* (ScreenGameplay, general) modified position of credits/player modifiers.

(pulse i2241 / 20090621 0308)

==General==
 * (MusicWheel) Remade highlight graphic; hopefully people can see it now.
   If not, expect it to have the rainbow command in the next version lol

==Toasties==
 * (ScreenToastyOptions) Fixed odd text positioning on items in widescreen.
 * (ScreenGameplay) Fixed toasty commands.
   People other than Snorlax have customized commands now!

(pulse i2240 / 20090618 1422)
 * (various screens) Fixed headers that would creep down the screen over time.
 * (various screens) Customized menu timer.
   I like it, even though I hate menu timers. :)
 * (ScreenTitleMenu) doubled the speed of the title menu animation since
   StepMania 4 SVN annoys me so. (seriously though, hold tab sometimes.)
 * (ScreenEvaluation) Fixed fallback course banner showing default fallback.
   Turns out there was a file called "Banner course fallback.redir" in the
   default that was pointing to the default banner.
 * (ScreenSelectMusic) RadarBars now glow if they are maxed out.
 * (ScreenSelectMusic) Stage display added.
 * other small changes...

================================================================================
Public alpha II* (pulse i2239 / 20090616 0323)
 * (ScreenEvaluation) add quick StepsType label to eval, in order to
   determine singles/doubles scores. quick means hacky.

(pulse i2238 / 20090616 0105)
 * (ScreenGameplay) Fix unused player's StepsDisplay showing up in doubles mode.
 * (ScreenEvaluation) Fixed doubles showing the unjoined player's stats
   with all zeroes.
 * (ScreenSelectMusic) No really, fix song timer on course modes.
 * (ScreenNetSelectMusic, etc.) Fix missing graphic errors.
 * (ScreenOptions) Fixed some small visual things.
 * rewrote readme, somewhat.

(pulse i2237 / 20090615 0151)
pretty much a sanity commit made while trying to fix bugs.
It also featured more high def stuff.

(pulse i2235, i2236 / 20090613 0252, 0310)
 * More use of HDActor and AutoText (with trickery for .redir fonts)

(pulse i2234 / 20090613 0138)
 * (ScreenSelectMusic) "Fix" song timer on course modes.
   It will show xx:xx more often than not. Not my problem.

================================================================================
Public alpha* (pulse i2233 / 20090602 2029)
Tons of changes, this may not cover everything.

==General==
 * dubaiOne is now known as moonlight.

 * Some elements redesigned for doubleres.
   Sorry if this makes anyone's computer lag quite a bit.
   I've tried to make a loading mechanism that would determine your
   screen resolution and aspect ratio and load the correct image from there.
   Currently, it's unimplemented in most places.

==Customization==
 * DifficultyList was removed from ScreenSelectMusic Info since it causes
   StepMania to lag when implemented. If I can code a custom DifficultyList,
   then maybe it will return, but don't hold your breath.

 * Screen Filter (DDRX) and Screen Cover (beatmania IIDX) added
   with fancy customization screens, afaik the first of their kind in
   any released theme.

 * Theme Color option added.
   (using a new interface compared to Midiman's options menu-based one)

 * Changed Select Toasty to only play the sound after the selection has been
   made. The way it was done originally was annoying, and I figured that
   this was a better idea.